package cn.stylefeng.workflow.instance.modular.task.enums;

import cn.stylefeng.roses.kernel.rule.constants.RuleConstants;
import cn.stylefeng.roses.kernel.rule.exception.AbstractExceptionEnum;
import lombok.Getter;

@Getter
public enum NodeApproverExceptionEnum implements AbstractExceptionEnum {

    NODE_APPROVER_NOT_EXISTED(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10001", "查询结果不存在"),

    PERSON_CANT_EMPTY(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10002", "指定人选择不能为空"),

    ROLE_CANT_EMPTY(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10003", "指定角色不能为空"),

    POLICY_CANT_EMPTY(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10004", "审批组类型范围不能为空"),

    POST_CANT_EMPTY(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10005", "指定岗位不能为空"),

    SINGLE_CANT_ADD_SIGN(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10006", "单人审批节点无法进行加签操作");

    private final String errorCode;

    private final String userTip;

    NodeApproverExceptionEnum(String errorCode, String userTip) {
        this.errorCode = errorCode;
        this.userTip = userTip;
    }

}